$(function(){
$current_main_staff_stage='';
$current_sub_staff_stage='';
title2='';
exam_id='';
staff_stage_name='';
link='';
page_type='';
not_complete="0";

function change_staff_stage_type(){

if($("#staff_stage_type2_menu").val()=="1"){
$("#correct_answer").show();
$("#multi_choice_div").hide();
$("#complete_div").hide();
$("#true_div").hide();
}else if($("#staff_stage_type2_menu").val()=="2"){
$("#correct_answer").hide();
$("#multi_choice_div").hide();
$("#complete_div").hide();
$("#true_div").show();	
}else if($("#staff_stage_type2_menu").val()=="3"){
$("#correct_answer").hide();
$("#multi_choice_div").show();
$("#complete_div").hide();
$("#true_div").hide();	
}else if($("#staff_stage_type2_menu").val()=="4"){
$("#correct_answer").hide();
$("#multi_choice_div").hide();
$("#complete_div").show();
$("#true_div").hide();	
}else{
$("#correct_answer").hide();
$("#multi_choice_div").hide();
$("#complete_div").hide();
$("#true_div").hide();	
}			

}


function validate(){
n= $(".required").length;

if(parseInt(n)>0){
for (i=0;i<n;i++){

if($(".required").eq(i).val()=="" ){
$(".required").eq(i).css({"background":"#F9C5C5","color":"#D22320"});

	not_complete="1";
	//alert("1");
}else{

$(".required").eq(i).css({"background":"#fff","color":"#0066ff"});

}
}
}


n= $(".numeric").length;

if(parseInt(n)>0){
for (i=0;i<n;i++){

if($.isNumeric($(".numeric").eq(i).val())==0){
	$(".numeric").eq(i).css({"background":"#F9C5C5","color":"#D22320"});
	not_complete="1";
	//alert(i);
}else{

	$(".numeric").eq(i).css({"background":"#fff","color":"#0066ff"});
}
}
}

if(not_complete=="1"){

not_complete="0";	
//alert("faild");
event.preventDefault();	
}
	
}





// اظهار واخفاء العناصر حسب السؤال
$("#title").live("change",function(data){

$("#ques_type2_menu option[value="+$("#title option:selected").attr("is_practical")+"]").attr("selected","selected");
alert($("#title option:selected").attr("is_practical"));
});


////////////اظهار واخفاء الاجابات حسب القائمة////////

$("#stage_search").on("click",function(){
	
$("#main_staff_stage_list").load("ajax_show_main_staff_stage.php",{
stage:$("#stage_menu").val(),
year:$("#year_menu").val(),
term:$("#term_menu").val()	
},function(data){
//alert(data);
});
	
});



// النقر على الليست الرئيسى

$("#main_staff_stage_list").live("change",function(data){
//alert($("#main_staff_stage_list option:selected").attr("lang"));	

if($("#main_staff_stage_list option:selected").attr("lang")==1 || $("#main_staff_stage_list option:selected").attr("lang")==3){
$("#sub_menu_buttons").hide();	
	
}else{
$("#sub_menu_buttons").show();		
}
$(".over_loading").show();
$current_main_staff_stage=$("#main_staff_stage_list option:selected").attr("id");	
$("#sub_staff_stage_list").load("ajax_show_sub_staff_stage.php",({"sub_staff_stage":$current_main_staff_stage}),function(data){
//alert(data);
$(".over_loading").hide();
});
//alert($current_main_staff_stage);

});


// النقر على الفرعى الرئيسى

$(".sub_staff_stage").live("click",function(){
$current_sub_staff_stage=$(this).attr("id");
	
});


////////////////الازرار الرئيسية الجانية //////////////


//النقر على زر اضافة سؤال رئيسى
$("#add_main_staff_stage").click(function(){




menu_stage=$(this).attr("stage");	
menu_year=$(this).attr("year");	
menu_term=$(this).attr("term");	

depart_name=prompt("ادخل اسم القسم");	
if(depart_name=='' || depart_name=== null){
alert("لابد من ادخال اسم القسم");
exit();
}






//alert(page_type);
if(menu_stage=='' || menu_stage===null){
alert("لابد من ادخال النوع");exit();	
}
if(menu_year=='' || menu_year===null){
alert("لابد من ادخال الصف");exit();	
}
if(menu_term=='' || menu_term===null){
alert("لابد من ادخال الترم");exit();	
}



alert (menu_year);
$(".over_loading").show();
$.post("ajax_add_main_staff_stage.php",
{"title":depart_name,"sub":0,"stage":menu_stage,"year":menu_year,"term":menu_term},
function(data){
x="<option class='main_staff_stage' lang='"+page_type+"' id='"+parseInt(data)+"' code='"+parseInt(data)+"' sort='"+parseInt(data)+"'>"+depart_name+"</option>";
$("#main_staff_stage_list").append(x);	
//alert(data);
$current_main_staff_stage='';
$current_sub_staff_stage='';
$(".over_loading").hide();
});








});	


//النقر على زر تعديل سؤال رئيسى

$("#edit_main_staff_stage").live("click",function(){


if($current_main_staff_stage=='' ){alert("اختار القائمة المراد تعديلها  ");exit();}	
title=prompt("ادخل اسم القائمة",$(".main_staff_stage[id='"+$current_main_staff_stage+"']").text());	
if(title=='' || title===null ){alert("لابد من ادخال اسم القائمة");exit();}




$(".over_loading").show();

//alert($current_main_staff_stage);
//alert(title2);
//alert(staff_stage_name);

$.post("ajax_edit_main_staff_stage.php",
{"title":title,"id":$current_main_staff_stage},
function(data){

$(".main_staff_stage[id='"+$current_main_staff_stage+"']").text(title);
$(".over_loading").hide();
//alert(data);
});



});


//النقر على زر الغاء قائمة رئيسية

$("#delete_main_staff_stage").live("click",function(){
if($current_main_staff_stage==''){alert("اختار القائمة المراد الغائها");exit();}
$(".over_loading").show();
$.post("ajax_delete_staff_stage.php",({"id":$current_main_staff_stage,"type":"main"}),
function(data){
$(".main_staff_stage[id='"+$current_main_staff_stage+"']").remove();
$current_main_staff_stage='';
$current_sub_staff_stage='';
alert("تم الالغاء")	;
$(".over_loading").hide();
//alert(data);

});

});



////////////////الازرار الرئيسية الفرعية //////////////



//النقر على زر اضافة سؤال فرعى

$("#add_sub_staff_stage").live("click",function(){
	
$("#big-div-cont").show();	

$("#load_cont").html("");	
$("#load_cont").load("add_sub_staff_stage.php",function(){
$(".over_loading").show();
});	
	
	
});


//النقر على زر تعديل سؤال فرعى

$("#edit_sub_staff_stage").live("click",function(){
	
if($current_sub_staff_stage=='' ){alert("اختار القائمة المراد تعديلها  ");exit();}	


$("#big-div-cont").show();	
$(".over_loading").show();
$("#load_cont").html("");
$("#load_cont").load("edit_sub_staff_stage.php?id="+$current_sub_staff_stage,function(){


});
	
	
});


//النقر على زر الغاء قائمة فرعية

$("#delete_sub_staff_stage").click(function(){
if($current_sub_staff_stage==''){alert("اختار القائمة الفرعية المراد الغائها  ");exit();}
$(".over_loading").show();
$.post("ajax_delete_staff_stage.php",({"id":$current_sub_staff_stage,"type":"sub"}),
function(){
$(".sub_staff_stage[id='"+$current_sub_staff_stage+"']").remove();
alert("تم الالغاء")	;
$(".over_loading").hide();
$current_sub_staff_stage='';

});

});



//////////////////// ادخال الفورم   /////////////////////////////




//النقر على زر ادخال السؤال الفرعى



$("#add_staff_stage_sub").live("click",function(){

validate();

$.post("ajax_add_sub_staff_stage.php",{

//variables
"title":$("#title").val(),
"total_dgree":$("#total_dgree").val(),
"staff_type":$("#ques_type2_menu").val(),
"weekly_class":$("#weekly_class").val(),
"continues_class":$("#continues_class").val(),
"impractical_class":$("#impractical_class").val(),
"practical_class":$("#practical_class").val(),
"behavior_dgree":$("#behavior_dgree").val(),
"ask_dgree":$("#ask_dgree").val(),
"note_dgree":$("#note_dgree").val(),
"absent_dgree":$("#absent_dgree").val(),
"month_dgree":$("#month_dgree").val(),
"oral_dgree":$("#oral_dgree").val(),
"practical_dgree":$("#practical_dgree").val(),
"impractical_dgree":$("#impractical_dgree").val(),
"midterm_dgree":$("#midterm_dgree").val(),
"work_dgree":$("#work_dgree").val(),



"sub":$current_main_staff_stage,
"code":$("option[id="+$current_main_staff_stage+"]").attr("code"),
"stage":$("#add_main_staff_stage").attr("stage"),
"year":$("#add_main_staff_stage").attr("year"),
"term":$("#add_main_staff_stage").attr("term"),
"total_dgree":$("#total_dgree").val()


},function(data){
	
//success
x="<option class='sub_staff_stage' title='"+$("#title").val()+"'  id='"+parseInt(data)+"' code='"+parseInt(data)+"' sort='"+parseInt(data)+"'>"+$("#title").val()+"</option>";
$("#sub_staff_stage_list").append(x);	
//alert(data);
//$current_main_staff_stage='';
//$current_sub_staff_stage='';

$("#big-div-cont").hide();	
$(".over_loading").hide();

});
});







//النقر على زر تعديل السؤال الفرعى

$("#edit_staff_stage_sub").live("click",function(){



validate();


alert($current_sub_staff_stage);
$.post("ajax_edit_sub_staff_stage.php",{

//variables
"id":$current_sub_staff_stage,
"title":$("#title").val(),
"total_dgree":$("#total_dgree").val(),
"staff_type":$("#ques_type2_menu").val(),
"weekly_class":$("#weekly_class").val(),
"continues_class":$("#continues_class").val(),
"impractical_class":$("#impractical_class").val(),
"practical_class":$("#practical_class").val(),
"behavior_dgree":$("#behavior_dgree").val(),
"ask_dgree":$("#ask_dgree").val(),
"note_dgree":$("#note_dgree").val(),
"absent_dgree":$("#absent_dgree").val(),
"month_dgree":$("#month_dgree").val(),
"oral_dgree":$("#oral_dgree").val(),
"practical_dgree":$("#practical_dgree").val(),
"impractical_dgree":$("#impractical_dgree").val(),
"midterm_dgree":$("#midterm_dgree").val(),
"work_dgree":$("#work_dgree").val(),



"sub":$current_main_staff_stage,
"code":$("option[id="+$current_main_staff_stage+"]").attr("code"),
"stage":$("#add_main_staff_stage").attr("stage"),
"year":$("#add_main_staff_stage").attr("year"),
"term":$("#add_main_staff_stage").attr("term"),
"total_dgree":$("#total_dgree").val()


},function(data){
	
//success
$(".sub_staff_stage[id='"+$current_sub_staff_stage+"']").text($("#title").val());
//alert(data);
//$current_main_staff_stage='';
//$current_sub_staff_stage='';

$("#big-div-cont").hide();	
$(".over_loading").hide();

});


});







////////////اضافة اجابات اضافية////////
$("#multi_choice_add_items").live("click",function(){

$x='<div class="multi_choice_item">'+
'<div class="multi_choice_item_right"><input name="radio1" type="radio" /></div>	'+
'<div class="multi_choice_item_middle"><input name="text1" type="text" style="width:70px;" value="" /></div>'+
'<div class="multi_choice_item_left image_del" ></div>'+	
'</div>	';

$("#multi_choice_right").append($x);	

});


$("#complete_add_items").live("click",function(){

$x='<div class="complete_item">'+
'<div class="complete_item_right"><input name="text2" type="text" style="width:90px;" value="" /></div>'+
'<div class="complete_item_left image_del" ></div>'+	
'</div>	';

$("#complete_right").append($x);	

});









		
	
});	